Subject: bug#36014: [PATCH] Attempt to use console-fonts not provided by kbd if they are installed

From: John Soo <[email-masked]>
Date: Fri, 12 Jul 2019 09:05:45 -0700

Ok so I tried your suggestion and it works! I’m so surprised but I think I’ll update the docs to reflect this possibility instead of the current patch.

- John

> On Jul 11, 2019, at 1:49 PM, Ludovic Courtès <[email-masked]> wrote:
> 
> Hi John,
> 
> John Soo <[email-masked]> skribis:
> 
>> I looked hard at a nicer way to provide a flag to start kbd pointing to a
>> directory or file. There is a flag to point to a file for a font which
>> could be nice. However setfont also prioritizes the current directory over
>> the kbd directory. The following patch attempts to chdir to a directory
>> where more console fonts may be installed.
> 
> What about doing something like this in your config
> 
>  (console-font-service "tty1"
>                        (file-append some-font-package
>                                     "/share/consolefonts/whatever"))
> 
> ?
> 
> Does it work for you?
> 
> This approach has the advantage that the service doesn’t need to be
> changed, and it doesn’t need to change the current directory of PID 1
> either.
> 
> Thanks,
> Ludo’.